diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 9596810..671daee 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -29249,7 +29249,7 @@ FunctionSpaceComplexIntegration(R, F): Exports == Implementation where
  
     internalIntegrate(f, x) ==
       f := distribute(f, x::F)
-      any?(has?(operator #1, "rtrig"),
+      any?(x1+->has?(operator x1, "rtrig"),
        [k for k in tower(g := realElementary(f, x))
         | member?(x, variables(k::F))]$List(Kernel F))$List(Kernel F) =>
           h := trigs2explogs(F2FG g, [K2KG k for k in tower f
diff --git a/changelog b/changelog
index b1ff1ed..274c474 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090519 tpd src/axiom-website/patches.html 20090519.09.tpd.patch
+20090519 tpd books/bookvol10.4 FSCINT +-> conversion
 20090519 tpd src/axiom-website/patches.html 20090519.08.tpd.patch
 20090519 tpd books/bookvol10.3 XRPOLY +-> conversion
 20090519 tpd src/axiom-website/patches.html 20090519.07.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9a22a6c..88f34a3 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1380,5 +1380,7 @@ bookvol10.3 UNISEG +-> conversion<br/>
 bookvol10.4 FSPECF +-> conversion<br/>
 <a href="patches/20090519.08.tpd.patch">20090519.08.tpd.patch</a>
 bookvol10.3 XRPOLY +-> conversion<br/>
+<a href="patches/20090519.09.tpd.patch">20090519.09.tpd.patch</a>
+bookvol10.4 FSCINT +-> conversion<br/>
  </body>
 </html>
